Bug 189886 - Review Request: FluidSynth - Real-time software synthesizer
Review Request: FluidSynth - Real-time software synthesizer
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Package Reviews List
:
Depends On: 189884
Blocks: FE-ACCEPT 191538
  Show dependency treegraph
 
Reported: 2006-04-25 11:16 EDT by Anthony Green
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-14 23:07:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anthony Green 2006-04-25 11:16:18 EDT
Spec URL: http://people.redhat.com/green/FE/FC5/fluidsynth.spec
SRPM URL: http://people.redhat.com/green/FE/FC5/fluidsynth-1.0.7a-3.src.rpm
Description: 
FluidSynth is a real-time software synthesizer based on the SoundFont
2 specifications. It is a "software synthesizer". FluidSynth can read
MIDI events from the MIDI input device and render them to the audio
device. It can also play MIDI files (note: FluidSynth was previously
called IIWU Synth).
Comment 1 Konstantin Korikov 2006-05-27 10:54:48 EDT
Unnecessary build dependence e2fsprogs-devel.
Comment 2 Anthony Green 2006-05-27 20:10:12 EDT
(In reply to comment #1)
> Unnecessary build dependence e2fsprogs-devel.

Thanks.  Fixed.

Spec URL: http://people.redhat.com/green/FE/FC5/fluidsynth.spec
SRPM URL: http://people.redhat.com/green/FE/FC5/fluidsynth-1.0.7a-4.src.rpm
Comment 3 Hans de Goede 2006-06-15 07:47:31 EDT
MUST:
=====
0 rpmlint output is:
E: fluidsynth obsolete-not-provided iiwusynth
E: libfluidsynth-devel obsolete-not-provided libiiwusynth-devel
These both must be fixed.
* Package and spec file named appropriately
* Packaged according to packaging guidelines
0 License (LGPL) ok, but license file not included!
* spec file is legible and in Am. English.
* Source matches upstream
* Compiles and builds on devel-i386
* BR: ok
* No locales
* shared libraries, ldconfig properly ran
* Not relocatable
* Package owns / or requires all dirs (with some strangeness see Must fix below)
* No duplicate files & Permissions ok
* %clean & macro usage OK
* Contains code only
0 no %doc
* -devel package as needed
0 .la files packaged, bad!
* no gui -> no .desktop file required


MUST fix:
=========
* Alphanumeric parts of the version should be in the Release field, as per:
 http://fedoraproject.org/wiki/Packaging/NamingGuidelines
 Then you can drop the "-n fluidsynth-1.0.7" to %setup too
* Dont use %package -n lib%{name} thats very Debian afaik (allmost) all Fedora
  package use %package libs same goes for the devel package.
* The following rpmlint output:
E: fluidsynth obsolete-not-provided iiwusynth
E: libfluidsynth-devel obsolete-not-provided libiiwusynth-devel
* Don't package .la files, remove them under %install or %exclude them in %files
* Add a %doc including atleast COPYING, but mosty likely also other candidates
Comment 4 Anthony Green 2006-07-14 00:09:21 EDT
(In reply to comment #3)
> 0 rpmlint output is:
> E: fluidsynth obsolete-not-provided iiwusynth
> E: libfluidsynth-devel obsolete-not-provided libiiwusynth-devel

Fixed.

> 0 License (LGPL) ok, but license file not included!

Fixed.

> 0 no %doc

Fixed.

> 0 .la files packaged, bad!

Fixed.

> * Alphanumeric parts of the version should be in the Release field, as per:
>  http://fedoraproject.org/wiki/Packaging/NamingGuidelines
>  Then you can drop the "-n fluidsynth-1.0.7" to %setup too

Fixed.

> * Dont use %package -n lib%{name} thats very Debian afaik (allmost) all Fedora
>   package use %package libs same goes for the devel package.

Fixed.

> * The following rpmlint output:
> E: fluidsynth obsolete-not-provided iiwusynth
> E: libfluidsynth-devel obsolete-not-provided libiiwusynth-devel
> * Don't package .la files, remove them under %install or %exclude them in %files
> * Add a %doc including atleast COPYING, but mosty likely also other candidates

Fixed, as above.

Thanks for your effort. Sorry for the delay.

Updates bits here:
Spec URL: http://people.redhat.com/green/FE/FC5/fluidsynth.spec
SRPM URL: http://people.redhat.com/green/FE/FC5/fluidsynth-1.0.7-5.a.src.rpm



Comment 5 Hans de Goede 2006-07-14 17:35:42 EDT
Looks good, approved!
Comment 6 Anthony Green 2006-07-14 23:07:36 EDT
Thanks.  AG.

Note You need to log in before you can comment on or make changes to this bug.